﻿
:root {
    --color-marco: #5d4037; /* Color madera */
    --grosor-marco: 5px;
}

body {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    line-height: 1.6;
    background-color: #f4f4f9;
    justify-content: center;
    margin: 0 auto;
}

.display-mobile, #footer-mobile, #menu, #myModal {
    display: none;
}

.document-container {
    background-color: white;
    width: 100%;
    max-width: 800px;
    padding: 50px;
    box-shadow: 0 0 15px rgba(0,0,0,0.1);
    border-radius: 8px;
    margin:auto;
    margin-top:100px;
}

header {height:510px;}

h1 {
    text-align: center;
    color: #333;
    column-span: all; /* Hace que el título ocupe ambas columnas */
    font-size: 35px;
    font-family: serif;
    margin-bottom: 0px;
    line-height: 35px;
}

.clientes h1 {
    font-size: 2rem;
}
.clientes h2 {
    text-align: center;
    font-style: italic;
    font-weight: bolder;
    margin-top: 0px;
    margin-bottom: 15px;
    color:#000;
}
.header {
    text-align: center;
    margin: auto;
    font-style: italic;
    font-weight: 600;
    max-width: 90%;
    overflow:auto;
}
.raya {
    width: 7.5rem;
    border-top: 1px solid #d8b989;
    margin: 10px auto;
    display: block;
    padding-bottom: 20px;
}

.author {
    text-align: center;
    color: #333;
    margin-bottom: 30px;
    column-span: all; /* Hace que el título ocupe ambas columnas */
    font-size: 15px;
    font-family: sans-serif;
    color: darkorange;
}

h2 {font-weight: bold; margin-top: 0px; margin-bottom: 15px; font-size:18px;}

h3 {
    margin-bottom: px; font-size:15px; text-align:center; margin-top:-15px;
}

.h4 {
    font-size: 20px;
    font-weight: 500;
    line-height: normal;
    margin: 0px;
    letter-spacing: 3px;
    text-align: center;
    margin-top:25px;
}

.h5 {
    font-weight: 500;
    font-size: 14px;
    margin: 0px;
    text-align: center;
    margin-bottom: 30px;
}

.content {
    /* Magia de las columnas aquí */
    column-count: 2;
    column-gap: 40px;
    column-rule: 1px solid #fef; /* Línea divisoria opcional */
    text-align: justify;
    padding-bottom: 40px;
}
.content-single {
    text-align: justify;
    padding-bottom: 40px;
    overflow:auto;
}
.img-der6 {
    float: right;
    width: 66% !important;
    margin-left: 30px !important;
    margin-bottom:10px !important;
}

.img-izq6 {
    float: left;
    width: 66% !important;
    margin-right: 20px !important;
}

.img-der5 {
    float: right;
    width: 50% !important;
    margin-left: 20px !important;
}

.img-izq5 {
    float: left;
    width: 50% !important;
    margin-right: 20px !important;
}
p {
    margin-top: 0px;
    margin-bottom: 15px;
}

li {
    list-style: none;
    text-align: left;
}

img {
    padding-bottom: 20px;
    max-width: 100%;
    width:100%;
}
.img-left {
    width: 50%;
    float: left;
    margin-right: 20px;
}
.img-right {
    width: 50%;
    float: right;
    margin-left: 20px;
}

.icono {width:30px; padding:0px;}

/* Estructura de la ventana */
.window-frame {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    gap: var(--grosor-marco); /* El espacio entre fotos actúa como el travesaño */

    padding: var(--grosor-marco);
    /*border: 5px solid #3e2723; /* Borde exterior más oscuro para profundidad */
    box-shadow: 10px 10px 25px rgba(0,0,0,0.3);
    width: 600px;
    height: 500px;
    margin: auto;
}

.pane {
    overflow: hidden;
    position: relative;
    background-color: #eee;
}

    .pane img {
        width: 100%;
        height: 100%;
        object-fit: cover; /* Ajusta la foto sin deformarla */
        transition: transform 0.5s ease;
        display: block;
    }
    /* Efecto de brillo sobre el 'cristal' */
    .pane::after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: linear-gradient(135deg, rgba(255,255,255,0.2) 0%, transparent 50%);
        pointer-events: none;
    }
    /* Zoom suave al pasar el mouse */
    .pane:hover img {
        transform: scale(1.1);
    }


.accordion {
    background-color: #eee;
    color: #444;
    cursor: pointer;
    padding: 18px;
    width: 100%;
    border: none;
    text-align: left;
    outline: none;
    font-size: 16px;
    transition: 0.4s;
}
    .accordion:after {
        content: '\02795';
        font-size: 13px;
        color: #777;
        float: right;
        margin-left: 5px;
    }
.panel {
    padding: 18px;
    display: none;
    background-color: white;
    overflow: hidden;
}
.imagenes {
    width: 800px;
    margin: 0 auto;
    overflow:auto;
}
.col-img {
    float: left;
    width: 31%;
    margin: 1%;
}
.col-img2 {
    float: left;
    width: 48%;
    margin: 1%;
}
    .col-img img, .col-img100 img, .col-img2 img {
        width: 100%;
    }

/**************** signup *************/
.signup {
    margin-top: 16px;
}

.signup-image {
    padding-top: 327px;
    color: #fff;
    position: relative;
    overflow: hidden;
    width: 100%;
    font: inherit;
    vertical-align: baseline;
    filter: blur(6px);
    -webkit-filter: blur(6px);
}

.aa {
    max-width: 90%;
    position: absolute;
    margin-top: -331px;
    width: 35rem;
    padding: 3rem;
}

    .aa h2 {
        font-size: 24px;
        text-decoration: none;
    }

    .aa h2,
    .aa p {
        color: #fff;
        text-align: left;
        margin-bottom: 4px;
    }

    .aa p {
        color: #fff;
        text-align: left;
        margin-bottom: 1.25rem;
        margin-top: 1.25rem;
        font-size: .9375rem;
        line-height: 1.3125rem;
        letter-spacing: 0;
    }

.signup-image img {
    object-fit: cover;
    font-family: "object-fit: cover";
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100%;
}

.raya-blanca {
    width: 7.5rem;
    border-bottom: 1px solid #fff;
    display: block;
}


.boton-cafe {
    background-color: #ff652f;
    color: #fff;
    padding: 17px 35px;
    text-decoration: none;
    font-size: .75rem;
    font-weight: bold;
}

.boton:hover,
/************** footer ************/
.footer {
    background-color: rgba(0,0,0,.05);
    font-family: "Sohne Breit",sans-serif;
    line-height: 1;
    overflow: hidden;
    font-weight: 400;
    font-size: 12px;
    padding: 60px;
}

    .footer h2 {
        background: none;
        text-align: left;
        width: auto;
        margin: 0px;
        padding-bottom: 12px;
        color: #545454;
    }

    .footer p {
        text-align: left;
        color: #545454;
    }
.footer {
    background-color: #122331 !important;
}

    .footer h1 {
        text-align: left;
        font-size: 34px;
        margin: 0px;
        padding-bottom: 4px;
        color: #fff;
    }

    .footer h2, .footer p {
        color: #fff !important;
    }

    .footer a {
        color: #fff;
        text-decoration: none;
    }
    .footer img {
        display: inline;
        margin-right: 20px;
    }

.column3 {
    float: left;
}

.left {
    width: 60%;
}

.rigth {
    width: 20%;
}


.gallery-cell {
    padding: 30px 0px;
    width: 850px;
    max-width: 100%;
    margin: 0 auto;
    display: flex;
}

.gallery-cell p {
    text-align: center;
}

.banner-home-rotativo-left {
    width: 237px;
    padding: 20px;
    float: left;
    position: relative;
    height: 253px;
}

.banner-home-rotativo-right {
    width: 100%;
    float: right;
}

.banner-home-rotativo-left h3 {
    font-size: 16px;
    font-weight: 500;
    line-height: normal;
    margin-bottom: 0px;
    letter-spacing: 3px;
    text-align: center;
}

.flickity-prev-next-button.previous {
    left: -50px !important;
}

.flickity-prev-next-button.next {
    right: -50px !important;
}

.home-intro {
    width: 800px;
    text-align: center;
}

    .home-intro h1 {
        font-family: arial, sans-serif;
        font-weight: 500;
        font-size: 25px;
        color: #000;
        margin: 0 auto;
        padding: 0;
        margin-top: 28px;
        line-height: 35px;
        padding-bottom: 14px;
    }

    .home-intro p {
        width: 600px;
        margin: auto;
    }

.images-home h2, .images-home h3 {
    font-family: sans-serif !important;
    margin-bottom: 0px;
    font-weight: unset !important;
    font-size: 23px;
    color: #000 !important;
    text-align:center;
}

.images-home p {
    text-align: center;
}

.images-home img {
    width: 243px;
    margin: 10px;
    float: left;
}


/****************************************************/
/****************************************************/
/* Responsivo: Si la pantalla es pequeña, vuelve a una columna */
@media (max-width: 800px) {
    .display-pc, #top form, .header-menu {
        display: none !important;
    }

    #header {
        height: 78px !important;
    }

    .display-mobile {
        display: block;
    }

    #menu {
        display: block;
        position: fixed;
        top: 10px;
        left: 10px;
        color: fff;
    }

    .content {
        column-count: 1;
    }

    #myVideo {
        top: 48px !important;
    }

    .content-single {
        column-count: 1;
        column-gap: 40px;
        column-rule: 1px solid #fef;
        text-align: justify;
        padding-bottom: 40px;
    }

    .img-right {
        width: 100%;
        float: none;
        margin-left: 0px;
    }

    .img-left {
        width: 100%;
        float: none;
        margin-right: 0px;
    }

    .home-intro, .home-intro p {
        width: 100% !important;
    }

    .document-container {
        padding: 20px;
        max-width: 80%;
        margin-top: 63px;
    }

    .images-home img {
        width: 100% !important;
    }

    .window-frame {
        width: 74vw !important;
        height: 74vw;
    }

    h1 {
        font-size: 40px;
        line-height: 40px;
    }


    .overlay {
        height: 100%;
        width: 100%;
        position: fixed;
        top: 0;
        right: 0;
        background-color: #122331 !important;
        overflow-x: hidden;
    }

    .overlay-content {
        position: relative;
        top: 50%;
        width: 70%;
        text-align: center;
        margin-left: auto;
        margin-right: auto;
        margin-top: -376px;
    }

    #myModal {
        display: none; /* Hidden by default */
        position: fixed; /* Stay in place */
        z-index: 999999; /* Sit on top */
        padding-top: 100px; /* Location of the box */
        left: 0;
        top: 0;
        width: 100%; /* Full width */
        height: 100%; /* Full height */
        overflow: auto; /* Enable scroll if needed */
        -webkit-transition: width 2s; /* For Safari 3.1 to 6.0 */
        transition: width 2s;
    }

    #myBtn {
        cursor: pointer;
        color: #fff;
    }

    #overlay-content {
        position: relative;
        width: 70%;
        text-align: center;
        margin-left: auto;
        margin-right: auto;
    }

    .overlay a {
        text-decoration: none;
        color: #fff;
        display: block;
        transition: 0.3s;
    }

        .overlay a:hover, .overlay a:focus {
            color: #cf7b00;
        }

    .overlay #closebtn {
        cursor: pointer;
        position: absolute;
        top: 106px;
        right: 23px;
        font-size: 60px;
        position: fixed;
        color: #fff;
    }

    #overlay {
        height: 100%;
        width: 0;
        position: fixed;
        top: 0;
        right: 0;
        background-color: #373737 !important;
        overflow-x: hidden;
    }

    #menu-izq {
        float: left;
        text-align: right;
        width: 254px;
        position: fixed;
        top: 254px;
        -ms-transform: translateY(-50%);
        transform: translateY(-50%);
    }

        #menu-izq h2 {
            font-family: Helvetica-condensed;
            font-size: 40px;
            color: #fff;
            text-transform: uppercase;
            padding: 10px 0;
            letter-spacing: 3px;
            text-align: left;
            font-weight: 600;
            margin-top: 28px;
        }

        #menu-izq h3, #menu-der h2 {
            font-family: Helvetica-condensed;
            font-size: 35px;
            color: #4e2200;
            text-transform: uppercase;
            padding: 4px 0;
            letter-spacing: 3px;
            margin-bottom: 16px;
            text-align: left;
        }

        #menu-izq p, #menu-der p {
            font-size: 17px;
            text-align: justify;
            font-family: Helvetica;
            letter-spacing: 1px;
            color: #4e2200 !important;
            margin: 10px 0px;
        }
    /* Subnav button */
    .subnav .subnavbtn {
        font-size: 16px;
        border: none;
        outline: none;
        background-color: inherit;
        font-family: inherit;
        margin: 0;
    }
    /* Add a red background color to navigation links on hover */
    /* Style the subnav content - positioned absolute */
    #menu-der {
        display: none;
        position: absolute;
        left: 0;
        width: 100%;
        z-index: 1;
        margin-left: 150px;
        margin-top: -43px;
    }
        /* Style the subnav links */
        #menu-der a {
            text-decoration: none;
        }
    /* Add a grey background color on hover */
    /* When you move the mouse over the subnav container, open the subnav content */
    .subnav:hover #menu-der {
        display: block;
    }




    .subnavbtn {
        display: inline-block;
        color: #000;
        text-decoration: none;
    }

        .subnavbtn::after {
            content: '';
            display: block;
            width: 0;
            background: #fff;
            transition: width .3s;
            max-width: 90px;
        }

    .subnav:hover::before {
        content: '';
        position: absolute;
        height: 1px;
        background-color: #fff;
        width: 20rem;
        margin-top: 12px;
        left: inherit;
        right: 121px;
        width: 47px;
        height: 1px;
    }

    .linea {
        display: none;
    }

    .col-img, .imagenes {
        width: 100% !important;
    }

    .footer {
        padding: 30px;
    }

    .rigth {
        width: 50% !important;
    }

    .left {
        width: 100% !important;
        float: none !important;
    }
}
    @media only screen and (max-width: 450px) {
        #contenido h3 {
            font-size: 18px;
        }

        button {
            margin-left: 0px !important;
            font-size: 12px;
        }

        .t750 {
            padding-top: 50px;
        }

            .t750 h1 {
                padding-bottom: 15px;
            }

        .gallery-cell {
            display: block !important;
        }

        .gallery {
            width: 95% !important;
        }

        .banner-home-rotativo-left {
            width: 87% !important;
        }
    }

   